import { ElMessage } from 'element-plus';

import request from '/@/utils/request';
/**
 * @summary 获取实时运行记录
 */
export const GetRunRealRecordStd = async (params, req: any = request) => {
	return req({
		url: '/Run/Real/Record/Std/GetLastRecord@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 获取实时运行记录
 * 报错时返回 undefined
 * @returns
 */
export const getRunRealRecordStd = async (params, req: any = request) => {
	const res = await GetRunRealRecordStd(params, req);

	if (res?.Code === 0) {
		const resData = res.Data as any;
		return resData;
	} else {
		ElMessage.error('获取实时运行记录失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};

/**
 * @summary 获取实时运行记录列表
 */
export const GetRunRealRecordListStd = async (params, req: any = request) => {
	return req({
		url: '/Run/Real/Record/Std/GetLastRecordList@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 获取实时运行记录列表
 * 报错时返回 undefined
 * @returns
 */
export const getRunRealRecordListStd = async (params, req: any = request) => {
	const res = await GetRunRealRecordListStd(params, req)

	if (res?.Code === 0) {
		const resData = (res.Data || []) as any[];
		return resData;
	} else {
		ElMessage.error('获取实时运行记录失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return [];
	}
};
